import 'package:bird_cryptography/bird_cryptography.dart';

abstract class HMACCrypto extends SimplePWDigest {
  const HMACCrypto();
}

abstract class CryptographyHMACs {
  static const CryptographyHMACs dart = PointycastleCryptographyHMACs();

  HMACCrypto md2();

  HMACCrypto md4();

  HMACCrypto md5();

  HMACCrypto ripemd128();

  HMACCrypto ripemd160();

  HMACCrypto sha1();

  HMACCrypto sha224();

  HMACCrypto sha256();

  HMACCrypto sha384();

  HMACCrypto sha512();

  HMACCrypto tiger();
}
